**`Deri Francis`[NAME]** -NL- 1410 Cedar Hollow Dr. -NL- Prosper, TX 75078 -NL- **`Derika30@gmail.com`[EMAILS_EMAIL]** -NL- 9**`72.983.6797`[PHONES_PHONE]** -NL- **`Enterprise Architect`[EMPLOYER_ROLE]**/Technical leader/Program Manager/Manager -NL- 18+ years experience -NL- 10 years architecture -NL- Me: IT professional with a passion to make to innovate and make a difference -NL- Education: **`B.S`[EDUCATION_DEGREE]**. **`Computer Science`[EDUCATION_COURSE]**, **`University of New Orleans`[EDUCATION_INSTITUTE]**, 2002 -NL- B.A. **`Sociology`[EDUCATION_COURSE]**, **`University of New Orleans`[EDUCATION_INSTITUTE]**, 1997 -NL- Personal and Technical Strengths: Architecture, Strong Software Developer, Communication, -NL- Algorithm Analysis, Leadership, Soft Skills, Team Building -NL- Industry: Banking,, Insurance, Finance, Telecom, Education, Retail, Loyalty Rewards -NL- OS: Linux, UNIX, Windows, Mac -NL- Training Skills Received:Amazon Developer and **`Architect`[EMPLOYER_ROLE]** training, WebSphere Product Center, -NL- ActiveVOS, WebSphere Message Broker, Talend ESB, Oracle SOA Suite 10G, Oracle SOA 11G -NL- Application Servers: WebSphere, WebLogic (Oracle Fusion App Server), JBoss, TomCat, IIS, -NL- Glassfish, JRUN -NL- Database Servers: Oracle 11g, SQL 2005, MS Access, MySQL, DB2 -NL- SOA Technologies: WebSphere Message Broker, ESB, BPEL, JMS, Web Services, Registries, SOA -NL- Patterns, oracle service bus, WSDL, XSD -NL- Programming Languages, Frameworks, Tools, Other Technologies: JEE, java (1.1-1.8), .Net, -NL- ASP, JSP, XML, Spring, Struts, Log4J, Web Services, Hibernate, EJB, Servlets, JSTL, Ant, Stored -NL- Procedures, WSDL, Swing, Subversion, OOA, Gang of Four Patterns, Eclipse, Rational Developer, -NL- W.S.A.D, JDeveloper, HTML,DHTML, JMS, Sonic MQ, JProfiler, PL SQL ,SOAP, Mobile API, React -NL- Dreamweaver, TCP, Sockets, Java Beans, HTML, Apache Commons Packages, B2B, B2C, JMeter, -NL- Electronic Data Interchange, JAX-RPC, JAX-WS, Subversion, Abacus, Cloud -NL- SDLCS: Waterfall, Spiral, RAD, Agile, Rapid Prototyping, and many more -NL- ARCHITECTURAL FRAMEWORKS: Zachmann, Gartner, TOGAF, GOF, TAM, Forester -NL- CLOUD VENDORS : Amazon (efficacy to set up vpcs, subnets, routing tables, S3 buckets, lambda -NL- functions , … more), Microsoft, GCP -NL- **`Work Experience:`[WORK_EXPERIENCE_HEADING]** -NL- **`Neiman Marcus `[EMPLOYER_COMPANY_NAME]**, US, Dallas, TX, **`Architect`[EMPLOYER_ROLE]** (8/17-present) -90% Architecture, 10% -NL- innovation lab -NL-  Currently leading Data Integration Hub project which is moving on premise integrations to -NL- Mule, Apigee, AWS cloud and GCP (Architecture, Strategy, and Execution) -NL-  Designed micro service apis to be deployed on our API gateway -NL-  Architected and helped lead a PCI compliance project that will restructured how Neiman -NL- Marcus takes payments on our ecommerce sites -NL-  Helped drive discovery efforts and helped drive engagement to completion -NL-  Helped prepare budget and levels of effort for projects and other major discovery efforts -NL-  Lead JAD sessions to help iron out technical requirements and deliver capabilities -NL-  Worked on new technologies for Neiman Marcus brick and mortar stores in the innovation lab -NL- with the lab’s lead -NL-  Ideated and helped implement new technology that will be premiered in our newflagship store -NL-  Presented innovation ideas to the business, directors, Vice Presidents and members of -NL- Neiman’s C LEVEL suite -NL-  Owned solutions for the integration team (Cloud based, ESB based, Java based solutions) -NL-  Led Risk assessment and designed a pilot that was aimed to protect the company’s 1.3 billion -NL- dollar web portfolio -NL- **`JSG INC`[EMPLOYER_COMPANY_NAME]**, US, Dallas, TX **`Enterprise Architect`[EMPLOYER_ROLE]** consultant (05/16- 5/17) -90% enterprise -NL- architecture, 10% solution architecture and coding -NL-  Helped CTO build out enterprise architecture group at the client site (using TOGAF 9.1) -NL-  Create innovations aimed at reducing pain points in the lab (Caris) -NL-  Created proof of concepts for technical teams using java, tsql, hibernate, etc -NL-  Used social science degrees to help breakdown silos and political discourse within the -NL- organization -NL-  Delivered key Enterprise artifacts (catalogs, matrices, value chain, solution concept diagrams, -NL- function decomposition diagrams, etc.) using Abacus Modeling and EA Repository suite by -NL- Avolution -NL-  Built out transition plan for moving to a hybrid cloud architecture (AWS) from Rackspace -NL-  Communicated tradeoffs from moving from Rackspace to AWS -NL-  Provided Technical definition of projects that were strategic and key to accomplishing -NL- company goals -NL-  Lead efforts that contributed to the overall innovation of lab processes with the company -NL-  Met with business users to help determine long term business needs and strategy -NL-  Translated design specs into architecture design documents -NL-  Lead JAD Design sessions between the business and technical resources -NL-  Lead Kaizen activity to improve devOps, architecture decisions and program management -NL- and within the organization -NL-  Developed interface control documents -NL-  Lead and participated in devops to overhaul sdlc progress -NL-  Engaged and built relationships with various cross functional teams in order to establish work -NL- list and components needed to establish company goals -NL-  Held responsibility for infrastructure and order to cash (lab product) projects -NL-  Lead effort to help improve hl7 interfaces -NL-  Attended some of the desk checks to ensure requirements were properly delivered to -NL- stakeholder -NL- **`OmniPoint`[EMPLOYER_COMPANY_NAME]** US, Atlanta, GA **`Oracle SOA Lead/Architect`[EMPLOYER_ROLE]** (01/16-5/16) -100% design, coding -NL- and analysis -NL-  Focused as an oracle SOA bus consultant, utilizing JDeveloper, WebLogic, java connectors, -NL- JDeveloper to code integration solutions (OSB, BPEL, JCA, sQL, ) -NL-  Coded XSD’s, wsdl’s, proxy services, bpel components, business services, etc. -NL-  Worked with offshore team members to code enhancements for the Cox-Manheim Gavel to -NL- Gate project -NL-  Lead design sessions for the change request associating withflooring cars for auctions -NL-  Helped project managers build out work list (LOE) and project plans -NL-  Translated business requirements into Technical requirements and communicated those -NL- requirements to the offshore team -NL- **`Enterprise Architect`[EMPLOYER_ROLE]**, **`Sky Bridge Resources `[EMPLOYER_COMPANY_NAME]**(Ellucian), Remote (3-15 to 11-15), 100% -NL- architecture and project management -NL-  Sized out ec2 instances and installed ellucian products suites based on customer needs -NL-  Served as Enterprise framework SME on Enterprise Architecture team -NL-  Applied Enterprise Frameworks like Forrester, TOGAF 9.0, and Zachman to propose, champion -NL- and author strategies and documents that helped establish leaner, clearer, business processes -NL- with Cloud Services at Ellucian -NL-  Assisted sales with estimates related to the on-boarding on new customers or product services -NL-  Lead an initiative the stood up an Amazon Web Services sandbox -NL-  Assisted and lead efforts that on boarded over 20+ clients into Banner XE and other cloud -NL- bases products -NL-  Built out cloud transition roadmaps to create hybrid architecture in AWS -NL-  Represented the technical team and its deliverables to IT leadership -NL-  Worked with service delivery managers to ensure on time delivery of product to customer -NL-  Helped networking team establish availability zones,firewall rules, the size of aws instances -NL- and other tasks -NL- **`Enterprise Architect`[EMPLOYER_ROLE]**, **`TRG (XO Communications)`[EMPLOYER_COMPANY_NAME]**, Plano, TX (9-14 to 12-14), 100% -NL- architecture -NL-  Short engagement focused on partnering with XO architecture team and Gartner consulting to -NL- figure out the best TAM based solution for the OSS/**`BSS`[EDUCATION_DEGREE]** -NL-  Authored documents that provided thought leadership and recommendations to C-level -NL- executives on how to improve the OSS using SOA Frameworks -NL-  Wrote technical documents that ironed out key design deliverables like dataflow diagrams, -NL- sequence diagrams, entity diagrams, risks, etc. -NL-  Administered formal SWAT review of XO OSS middleware environment to determined what -NL- service bus was appropriate and what weaknesses were exposed at an application level -NL- **`Enterprise System Architect`[EMPLOYER_ROLE]**, **`Apex Systems`[EMPLOYER_COMPANY_NAME]** (Advance Auto Parts), Roanoke, VA (12-13 to 7- -NL- 14), 100% architecture -NL-  Lead Integration effort for a major assortment planning project that determined how to put -NL- products on the shelves at AAP stores -NL-  Designed a solid SOA solution to facilitate communication between WebSphere Message -NL- Broker 9.0 (IIB and various systems like SPSS, EDW, AS400, etc.) -NL-  Met with managers and business users to discover business requirements as well as system -NL- requirements -NL-  Mentored junior developers concerned design decisions and coding solutions -NL-  Wrote technical design documents that ironed out key design deliverables like dataflow -NL- diagrams, sequence diagrams, entity diagrams, risks, etc. -NL-  Helped prepare presentation decks to aid senior management in decision making -NL-  Designed solid message oriented, web service based and java solutions to solve business -NL- problems -NL- Citizen’s property insurance, Tallahassee, FL, **`Lead Oracle SOA Consultant`[EMPLOYER_ROLE]** (04/13-11/13) - -NL- 100% coding and analysis -NL-  Focused as an oracle SOA bus consultant, utilizing oepe, weblogic, java connectors, JDeveloper -NL- to code integration solutions (OSB, JAVA, JCA, BPM, SQL) -NL-  Coded XSD’s, wsdl’s, proxy services, bpel components, etc. -NL-  Configured and implemented all business services, proxy services, accounts, alsb -NL- configurations that interacted with Alfresco and Guidewire -NL-  Set up development environment (RCU,SQL Server, weblogic domains, OSB, etc) -NL-  Handled and led two the team's most complex integrations with Guidewire and alfresco -NL-  Created several design documents that were used by the SOA team and the scrum master -NL-  Mentored junior developers and taught best practices with oracle service bus -NL-  Set up managed servers for the developer environment -NL-  Researched the possibility of using Oracle 12c (12.1.3) in the development environment -NL-  Became the glue between the teams in order to help remove roadblocks -NL- **`Syntel-FedEx`[EMPLOYER_COMPANY_NAME]** Office, Dallas, TX **`Lead System Analyst`[EMPLOYER_ROLE]** (11/12- 4/13) -100% architecture and -NL- analysis -NL-  Focused as a SOA lead analyst for FedEx location/center related projects -NL-  Conducted JAD workshops to collect requirements from the business and other SOA related -NL- projects -NL-  Worked as an system analyst to help develop an enterprise order canonical to integrate -NL- several downstream, legacy order systems -NL-  Designed object oriented components in java that enabled business capability -NL-  Worked with offshore teams to deliver quality software solutions -NL-  Created several design documents that were used by the SOA team to develop several -NL- applications -NL- **`Cognizant/Walmart`[EMPLOYER_COMPANY_NAME]**, Bentonville, **`AR Lead WMB Consultant`[EMPLOYER_ROLE]** (8/12-11/12) -80% architecture/ -NL- management and 20% development -NL-  Focused as a WMB/JEE lead consultant for the Walmart Enterprise Architecture Integration -NL- team -NL-  Managed and Delivered production support initiatives for Brazil and Chile Lider store -NL- conversations -NL-  Worked heavily with offshore resources -NL-  Worked on various code reviews for Java Compute Nodes and ESQL nodes -NL-  Created production plans for various inflight projects (message brokerflows, CICS, host, web -NL- services, BPEL,SAP R3 Adapters, BPM, etc) -NL-  Scoped and divided workloads with offshore teams to deliver quality solutions -NL- **`Timberhorn`[EMPLOYER_COMPANY_NAME]**, Frisco, TX HL7 **`Integration Expert `[EMPLOYER_ROLE]**(4/12- 8/12) -100% architecture and hl7 SME -NL-  Focused on hl7 transformations for various EMR vendors -NL-  Strong understanding of hub and spoke, service facade, and service proxy patterns -NL-  Recommended integration strategies for between oracle fusion suite, J2ee and various -NL- Integration layers -NL-  Responsible for understanding various hl7 transactions -NL-  Worked mostly with hl7 result segments -NL-  Negotiated payload formats with vendors and completed data mapping exercises -NL-  Helped document the necessary changes needed to migrate from oracle SOA 10g to oracle -NL- SOA 11g -NL- **`Ascendant`[EMPLOYER_COMPANY_NAME]** – Austin, TX, **`Domain Architect`[EMPLOYER_ROLE]** (11/11- 4/12) -100% architecture -NL-  Revamped **`Ascendant`[EMPLOYER_COMPANY_NAME]** SOA Consultant methodology and was key in some pre-sales initiatives -NL- with clients like NASCO and The Men's Warehouse -NL-  Strong understanding of hub and spoke, service facade, and service proxy patterns -NL-  Worked on the Service Oriented Architecture board to help recommend strategies across the -NL- enterprise -NL-  Played a key role in architecture related engagements -NL-  Studied Data Power appliances with focus on installing and configuring policies on the xi50 -NL- device -NL-  Served as a subject matter expert for Message Broker -NL-  Served as enterprise service bus (ESB) SME -NL-  Served as enterprise java SME -NL- **`USAA /Daman Consulting`[EMPLOYER_COMPANY_NAME]** – San Antonio, TX, **`Integration (Delivery) Manager`[EMPLOYER_ROLE]** (01/11- 11/11) - -NL- 100% Management -NL-  Assisted an executive director with overseeing the system integration of MAAC with projects in -NL- flight across the enterprise. -NL-  Developed requirements matrices and conducted JAD sessions to discuss integration strategies -NL- between MAAC systems and other USAA subsystems -NL-  Participated in a triage and made key recommendations to restructure the day to day -NL- operations of MAAC -NL-  Sharpened ability to read communication styles of team members and contractors who come -NL- from abroad spectrum of disciplines. -NL-  Managing and overseeing the integration and delivery of MAAC with over 50 inflight projects -NL-  Negotiated system to system integration strategies with other teams and managers -NL-  Interacted with teams on and offshore to ensure that milestones and deliverables were -NL- delivered in a timely manner -NL-  Worked closely with product owners, subject matter exports, and technical resources to define -NL- and execute high-performing service-oriented solutions. -NL- **`Perficient`[EMPLOYER_COMPANY_NAME]** – San Antonio, TX, **`Lead Technical Consultant`[EMPLOYER_ROLE]** (06/10 - 12/10) - 60% development -NL-  -NL-  Mapped various data artifacts -NL-  Worked as an ESB/Middleware consultant for projects with the following clients: FannieMae, -NL- BCBS -NL-  Helped configure Data Power appliances for the **`Perficient`[EMPLOYER_COMPANY_NAME]** BPM group -NL-  Organized, did gap analysis and clarified specifications for a system that processed EDI -NL- transactions (835, 837, 270, etc) -NL-  Wrote Service Definitions for various web services that interfaced with EDI processors -NL-  Researched what it would take to move from EDI 4010 to EDI 5010 -NL-  Architected a system that migrated from See Beyond to WebSphere ESB platform -NL- **`USAA Bank `[EMPLOYER_COMPANY_NAME]**– San Antonio, TX, **`Contract Enterprise Sr. Developer `[EMPLOYER_ROLE]**(10/20/09 - 6/01/10) - 60% -NL- Development -NL-  Worked as Message Broker (ESB) Sr. Developer for an internal USAA project. -NL-  Created message sets that work with broker nodes like Soap, Route, MQ, JavaCompute, -NL- Compute, File, XSLT, Email, Database, etc -NL-  Set up Message Broker Execution Groups and identities -NL-  Wrote Service Definitions for various web services -NL-  Configured messages for message domains like Soap, MRM, XMNSC, BINARY -NL-  Lead CheetahMail.com integration efforts into USAA -NL-  Worked as Message Broker (ESB) Sr. Developer for a internal USAA project. -NL-  Mentored developers on the concept of the Enterprise Service Bus, oriented theory, modular -NL- software development and various design patterns -NL-  Architected, designed, and orchestrated various web services and messageflows in order to -NL- facilitate system integration with systems like the genesis dialer, cheetmail.com -NL-  Created Web Service Interfaces and contracts -NL-  Interfaced with SalesForce.com service proxy -NL-  Organized and clarified specifications for various projects for the Mortgage division and MCO of -NL- USAA. -NL- **`DBG`[EMPLOYER_COMPANY_NAME]** – SouthLake, TX, Contract **`Technical Lead Developer/PM`[EMPLOYER_ROLE]** (7/04/08 -5/08/09) - 60% -NL- Development -NL-  Worked with clients to set up online sites to reward customers with promotions and points for -NL- shopping with the client -NL-  Focused primarily as architect and team lead for the Bank of America "add it up" and the -NL- "MyHSA" project -NL-  Interfaced with vendors to determine fulfillment of customer requirements -NL-  Mentored developers on object oriented theory, modular software development and various -NL- design patterns -NL-  Architected, designed, and implemented a CSR tool for Bank of America points reward based -NL- software (J2EE, TOMCAT, JSP, Eclipse, Spring, AXIS, WSDL, SWING, B2B, B2C,JAX-WS ) -NL-  Organized and clarified specifications for various types of reward based software. -NL-  Assist in software development project plans, including scoping, scheduling, and -NL- implementation for a huge project dealing with health spending accounts (Glassfish ESB, -NL- JMS,J2EE, Oracle) -NL- Part-time **`Independent`[EMPLOYER_COMPANY_NAME]** **`Oracle SOA Consultant/Subcontractor `[EMPLOYER_ROLE]**(10-08 to present) 100% -NL- coding -NL-  Self-Trained Oracle SOA consultant providing offsite subcontract support (as needed) to clients -NL-  Implement proxy and business services using fvarious technologies and tools -NL-  Coded custom java components requested by client -NL-  Strong understanding of the various OSB Nodes -NL-  Deployed “sb.jar” deliverables to environments -NL-  Configured databased schemas using rcu tools -NL-  Set up custom oracle SOA domains -NL- References: Available upon request -NL- Full Resume : Available upon request -NL- 